Alembic: Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl:

## Public Member Functions
virtual void | setSample (const void *iSamp)
virtual void | setFromPreviousSample ()
virtual size_t | getNumSamples ()
virtual void | setTimeSamplingIndex (Util::uint32_t iIndex)
virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectWriterPtr | getObject ()
virtual AbcA::CompoundPropertyWriterPtr | getParent ()
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter
virtual | ~ScalarPropertyWriter ()
virtual void | setTimeSamplingIndex (uint32_t iIndex)=0
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter
virtual | ~BasePropertyWriter ()
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ArrayPropertyWriterPtr | asArrayPtr ()
virtual CompoundPropertyWriterPtr | asCompoundPtr ()

## Protected Member Functions
| SpwImpl (AbcA::CompoundPropertyWriterPtr iParent, Ogawa::OGroupPtr iGroup, PropertyHeaderPtr iHeader, size_t iIndex)
AbcA::ScalarPropertyWriterPtr | asScalarPtr ()

## Protected Attributes
WrittenSampleIDPtr | m_previousWrittenSampleID

## Friends
class | CpwData

## Member Function Documentation

## ◆ asScalarPtr()

AbcA::ScalarPropertyWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl::asScalarPtr | ( |  | ) |
| protectedvirtual

Up-cast this base property to a ScalarProperty, if such an upcast is valid. This can be checked with the isScalar() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ getHeader()

const AbcA::PropertyHeader & Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl::getHeader | ( |  | ) | const
| virtual

Properties are created with a collection of metadata that is stored in a lightweight structure called PropertyHeader. This returns a constant reference to the PropertyHeader which was given upon creation.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ getNumSamples()

size_t Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl::getNumSamples | ( |  | ) |
| virtual

Return the number of samples that have been written so far. This changes as samples are written.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter.

## ◆ getObject()

AbcA::ObjectWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl::getObject | ( |  | ) |
| virtual

All properties have an object that owns them, and in order to ensure the object stays alive as long as the properties do, they retain a shared pointer to their object.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ getParent()

AbcA::CompoundPropertyWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl::getParent | ( |  | ) |
| virtual

Most properties live in a compound property. (Except for the top-compound property in any object) This returns a pointer to the parent compound property.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ setFromPreviousSample()

void Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl::setFromPreviousSample | ( |  | ) |
| virtual

Simply copies the previously written sample's value. This is an important feature.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter.

## ◆ setSample()

void Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::SpwImpl::setSample | ( | const void * | iSamp | ) |
| virtual

Sets a sample.

For specifying the sample, this takes a void pointer which points to the beginning of the memory corresponding to the scalar.

For String and Wstring, the const void *iSamp is assumed to be static_castable to const std::string * and const std::wstring *, respectively.

The data passed into this function will be used or copied locally by this function, and need not live (in the calling context) outside the return scope of this function call.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyWriter.

The documentation for this class was generated from the following files:

- AbcCoreOgawa/SpwImpl.h
- AbcCoreOgawa/SpwImpl.cpp